# coding: utf-8

"""
    Jungfraujoch

    API to control Jungfraujoch developed by the Paul Scherrer Institute (Switzerland). Jungfraujoch is a data acquisition and analysis system for pixel array detectors, primarly PSI JUNGFRAU. Jungfraujoch uses FPGA boards to acquire data at high data rates. 

    The version of the OpenAPI document: 1.0.0-rc.30
    Contact: filip.leonarski@psi.ch
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from jfjoch_client.models.detector_settings import DetectorSettings

class TestDetectorSettings(unittest.TestCase):
    """DetectorSettings unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> DetectorSettings:
        """Test DetectorSettings
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `DetectorSettings`
        """
        model = DetectorSettings()
        if include_optional:
            return DetectorSettings(
                frame_time_us = 1,
                count_time_us = 56,
                internal_frame_generator = True,
                internal_frame_generator_images = 1,
                detector_trigger_delay_ns = 0,
                timing = 'trigger',
                eiger_threshold_ke_v = 1.0,
                eiger_bit_depth = 8,
                jungfrau_pedestal_g0_frames = 0,
                jungfrau_pedestal_g1_frames = 0,
                jungfrau_pedestal_g2_frames = 0,
                jungfrau_pedestal_min_image_count = 32,
                jungfrau_storage_cell_count = 1,
                jungfrau_storage_cell_delay_ns = 2100,
                jungfrau_fixed_gain_g1 = True,
                jungfrau_use_gain_hg0 = True
            )
        else:
            return DetectorSettings(
                frame_time_us = 1,
        )
        """

    def testDetectorSettings(self):
        """Test DetectorSettings"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
